Loading...
Searching...
No Matches
mongocxx::client_bulk_write::insert_one_options Class Reference

`#include <mongocxx/v1/client_bulk_write.hpp>`

## Description

Options for an "Insert One" operation in a client bulk write.

## Public Member Functions

| insert_one_options ()
| Default initialization.
| insert_one_options (insert_one_options &&other) noexcept
| Move constructor.
| insert_one_options (insert_one_options const &other)
| Copy construction.
| ~insert_one_options ()
| Destroy this object.
insert_one_options & | operator= (insert_one_options &&other) noexcept
| Move assignment.
insert_one_options & | operator= (insert_one_options const &other)
| Copy assignment.

## Constructor & Destructor Documentation

## ~insert_one_options()

mongocxx::v1::client_bulk_write::insert_one_options::~insert_one_options | ( |  | ) |

Destroy this object.

## insert_one_options() [1/3]

mongocxx::v1::client_bulk_write::insert_one_options::insert_one_options | ( | insert_one_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## insert_one_options() [2/3]

mongocxx::v1::client_bulk_write::insert_one_options::insert_one_options | ( | insert_one_options const & | other | ) |

Copy construction.

## insert_one_options() [3/3]

mongocxx::v1::client_bulk_write::insert_one_options::insert_one_options | ( |  | ) |

Default initialization.

## Member Function Documentation

## operator=() [1/2]

insert_one_options & mongocxx::v1::client_bulk_write::insert_one_options::operator= | ( | insert_one_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

insert_one_options & mongocxx::v1::client_bulk_write::insert_one_options::operator= | ( | insert_one_options const & | other | ) |

Copy assignment.

The documentation for this class was generated from the following file:

- mongocxx/v1/client_bulk_write.hpp